PGASetEvaluationUpToDateFlag(1)

NAME
PGASetEvaluationUpToDateFlag - sets the flag associated with a string to PGA_TRUE or PGA_FLASE to indicate whether the evaluate function value is out-of-date or not.

DESCRIPTION
Note that this flag is always set to PGA_TRUE when PGASetEvaluation is called.

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population string p is in
status
    - boolean for whether up-to-date

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetEvaluationUpToDateFlag(ctx, p, pop, status)
PGAContext *ctx
int p
int pop
int status

LOCATION
evaluate.c

EXAMPLE
Example:
Set the evaluation function flag for string p in population PGA_NEWPOP
to PGA_FALSE (as might happen after, for example, calling a hill-climbing
routine that modified this string).

PGAContext *ctx;
int p;
:
PGASetEvaluationUpToDateFlag(ctx, p, PGA_NEWPOP, PGA_FALSE);